# This file (dot-outgoing.ex) is part of the sn package.
# Distribution of sn is covered by the GPL. See file COPYING.
# sn is copyright (c) 1998 Harold Tay.
#
# This is a sample .outgoing file suitable for use in a local
# newsgroup fed through a mailing list (via snmail).  Simply edit
# it and copy it into news.group/.outgoing.  The working directory
# is /var/spool/sn; this file is invoked by snntpd as
# "sh news.group/.outgoing".  The file must be owned by root or
# 9 and be writeable only by the owner.
#
# You must set at least LISTADDRESS and SENDMAIL:
#
LISTADDRESS=postmaster                  # mailing list address
SENDMAIL="/var/qmail/bin/qmail-inject"  # Running qmail?
#SENDMAIL="/usr/lib/sendmail"           # Running sendmail?
#
# If you're using qmail, you can set these:
#
# QMAILSUSER=postmaster       # For envelope sender
# QMAILSHOST=                 # Ditto
# export QMAILSUSER QMAILSHOST
#
# Otherwise, if you're using sendmail, you could set these:
#
# LOGNAME=postmaster
# HOSTNAME=
# export LOGNAME HOSTNAME

[ -z "$TCPREMOTEIP" ] && TCPREMOTEIP=unknown
[ -z "$TCPLOCALIP" ] && TCPLOCALIP=unknown
date="`date '+%a %e %h %Y %H:%M:%S %Z'`"

#
# Real work begins here.
#

awk '
BEGIN           {
                  IGNORECASE=1; skip=0
print "Received: from '"$TCPREMOTEIP"' by '"$TCPLOCALIP (news-to-mail filter)"';"
                  print "  '"$date"'"
                  print "To: '$LISTADDRESS'"
                }
/^Path:/        { skip=1 }
/^Newsgroups:/  { skip=1 }
/^Lines:/       { skip=1 }
/^Bytes:/       { skip=1 }
/^To:/          { skip=1 }
/^Date:/        { skip=1 }
/^[
]?$/       { while(getline)print; print ""; exit }
/^[ \t]/        { if(!ignorefolded)print }
/^[^ \t].*$/    {
                  if(skip)ignorefolded=1;
                  else{ print; ignorefolded=0 }
                  skip=0
                }
' |sed 's/
//
/^\.[
]*$/d' |$SENDMAIL
